# SIMPLE EXAMPLE

# load source code

source("KF.R")

# data generator (generate Y, X and A)

data <- generateData(100,25,25,0.5,0.5,10)
names(data)

# estimation

result <- KF(data$Y,data$X)

A <- result$A        # estimator of A
XA <- result$XA      # equals X%*%A
rank <- result$rank  # rank of A


# ADDITIONNAL EXAMPLES

# example with different values of K and prescribed rmax

result <-  KF(data$Y,data$X, K=c(1.5,2,2.5),rmax=15)

# example with V-Fold CV

result <- KF(data$Y,data$X,CV=TRUE,V=20)